GENERATORRUNNER(1)

NAME
generatorrunner - plugin-based binding source code generator

SYNOPSIS
generatorrunner --generator-set=<plugin name> [options] header-file typesystem-file

DESCRIPTION
generatorrunner is a utility that uses the information taken from APIExtractor related to the provided C++ headers and typesystem files and execute generators using this information. Generators are plugins and you need to specify one using the --generator-set parameter. At the moment there are two generators available: qtdoc - Generates Sphinx-based documentation for C++ libraries documented using qdoc3 documentation syntax, using the XML files created by the documentation tool (qdoc3). Can be called supplying --generator-set=qtdoc to generatorrunner or by calling the convenience executable docgenerator. Other plugins can be used with generatorrunner, provided that they follow the generator front-end specifications, and can be written to generate code or documentation for any target languague you desire. For more information about the generator front-end architecture and current limitations, refer to http://www.pyside.org/home-binding.

OPTIONS

  General options

--api-version=<version>
    Specify the supported api version used to generate the bindings.

--debug-level=[sparse|medium|full]
    The amount of messages displayed.

--documentation-only
    Only generates the documentation.

--drop-type-entries="<TypeEntry0>[;TypeEntry1;...]"
    Semicolon separated list of type system entries (classes, namespaces, global functions and enums) to be dropped from generation.

--help
    Prints the usage message.

--project-file=<file>
    Text file containing a description of the binding project. Replaces and overrides command line arguments.

--include-paths=<path>[:path:..]
    The directories where the generator will search for the headers. Works like gcc's -I flag.

--license-file=[licensefile]
    Template for copyright headers of generated files.

--no-supress-warnings
    Show all warnings.

--output-directory=[dir]
    The directory where the generated files will be written.

--silent
    Avoid printing any messages.

--typesytem-paths=<path>[:path:..]
    The directories where the generator will search for the external typesystems referred by the main one.

--version
    Displays the current version. Drops support for named args.

  Specific to qtdoc plugin

--documentation-code-snippets-dir
    Directory used to search code snippets used by the documentation

--documentation-data-dir
    Directory with XML files generated by documentation tool (qdoc3 or Doxygen)

--documentation-out-dir
    The directory where the generated documentation files will be written

--library-source-dir
    Directory where library source code is located

AUTHORS
Lauro Moura <lauro.neto at openbossa dot org>, Bruno Araujo <bruno.araujo at openbossa dot org>, Hugo Lima <hugo.lima at openbossa dot org>